1034 entries · page 18 of 21

Object classes

Object classes define which attributes an entry may and must carry, from top down to inetOrgPerson and posixAccount.

OIDNameDefined in
1.3.6.1.1.9.1.56pcelsVendorVariableAuxClassRFC 4104
1.3.6.1.1.9.1.32pcelsVLANVariableAuxClassRFC 4104
1.3.6.1.1.6.1.14pcimActionAuxClassRFC 3703
1.3.6.1.1.6.1.15pcimActionVendorAuxClassRFC 3703
1.3.6.1.1.6.1.11pcimConditionAuxClassRFC 3703
1.3.6.1.1.6.1.13pcimConditionVendorAuxClassRFC 3703
1.3.6.1.1.6.1.17pcimElementAuxClassRFC 3703
1.3.6.1.1.6.1.2pcimGroupRFC 3703
1.3.6.1.1.6.1.3pcimGroupAuxClassRFC 3703
1.3.6.1.1.6.1.22pcimGroupContainmentAuxClassRFC 3703
1.3.6.1.1.6.1.4pcimGroupInstanceRFC 3703
1.3.6.1.1.6.1.1pcimPolicyRFC 3703
1.3.6.1.1.6.1.16pcimPolicyInstanceRFC 3703
1.3.6.1.1.6.1.18pcimRepositoryRFC 3703
1.3.6.1.1.6.1.19pcimRepositoryAuxClassRFC 3703
1.3.6.1.1.6.1.20pcimRepositoryInstanceRFC 3703
1.3.6.1.1.6.1.5pcimRuleRFC 3703
1.3.6.1.1.6.1.10pcimRuleActionAssociationRFC 3703
1.3.6.1.1.6.1.6pcimRuleAuxClassRFC 3703
1.3.6.1.1.6.1.8pcimRuleConditionAssociationRFC 3703
1.3.6.1.1.6.1.23pcimRuleContainmentAuxClassRFC 3703
1.3.6.1.1.6.1.7pcimRuleInstanceRFC 3703
1.3.6.1.1.6.1.9pcimRuleValidityAssociationRFC 3703
1.3.6.1.1.6.1.21pcimSubtreesPtrAuxClassRFC 3703
1.3.6.1.1.6.1.12pcimTPCAuxClassRFC 3703
1.3.6.1.4.1.27080.2.2.1PdnsDomain
1.3.6.1.4.1.27080.2.2.4PdnsRecordData
2.5.6.6person Person The base structural class for people. It makes sn and cn mandatory and adds a few basics like telephoneNumber and …RFC 4519, RFC 2256
1.2.840.113556.1.5.97physicalLocation Physical-Location
0.9.2342.19200300.100.4.21pilotDSARFC 1274
0.9.2342.19200300.100.4.3pilotObjectRFC 1274
0.9.2342.19200300.100.4.20pilotOrganizationRFC 1274
0.9.2342.19200300.100.4.4pilotPerson newPilotPersonRFC 1274
2.5.6.22pkiCARFC 4523, RFC 2587
1.2.840.113556.1.5.177pKICertificateTemplate PKI-Certificate-Template
1.2.840.113556.1.5.178pKIEnrollmentService PKI-Enrollment-Service
2.5.6.21pkiUserRFC 4523, RFC 2587
2.5.6.25pmiAA
2.5.6.33pmiDelegationPath
2.5.6.26pmiSOA
2.5.6.24pmiUser
1.3.6.1.1.1.2.0posixAccount The auxiliary class that turns a directory entry into a Unix login: uidNumber, gidNumber, homeDirectory, and a login …
1.3.6.1.1.1.2.2posixGroup A Unix group in the directory, carrying a gidNumber and its members as login names in memberUid. It is structural in RFC …
1.3.18.0.2.6.258printerAbstractRFC 3712
1.3.18.0.2.6.256printerIPPRFC 3712
1.3.18.0.2.6.253printerLPRRFC 3712
1.3.18.0.2.6.255printerServiceRFC 3712
1.3.18.0.2.6.257printerServiceAuxClassRFC 3712
1.2.840.113556.1.5.23printQueue Print-Queue
2.5.6.32privilegePolicy
← All categories